require 'logger'

module Weaver
  module Core    
    @@logger = Logger.new(STDOUT)
    @@logger.level = Logger::FATAL
    @@logger.formatter = proc do |severity, datetime, progname, msg|
      thread = Thread.current[:name]
      "#{severity} [#{datetime}], #{thread.nil? ? 'default' : thread} --: #{msg}\n"
    end
    
    # Provides Logging for Weaver using Ruby's +Logger+.
    module Logging 
      include Weaver::Core
    
      def self.level(log_level)
        @@logger.level = log_level  
      end
      
      class << self
        alias :set_level :level
      end
      
      def self.get_level 
        @@logger.level
      end
      
      def self.set_logger(logger)
        @@logger = logger
      end
      
      def self.get_logger
        @@logger
      end
      
    end
  end
end
