module Weaver
  module Core
    
    # The base class for all exception raised in Weaver.
    class WeaverError < StandardError
      
      # A chained Exception
      attr_reader :original
      
      # * +msg+ message
      # * +original+ chained Exception
      def initialize(msg, original=$!)
        original_backtrace = ""
        original_backtrace = original.backtrace.first(2).join("\n") if (!original.nil? && !original.backtrace.nil?)
        super original.nil? ? msg : "#{msg} (original=#{original.message}, original backtrace=#{original_backtrace})"
        @original = original
      end
    end
  end
end
