require 'weaver/core/user'

module Weaver
  module Dsl
    
    # Represents a Weaver mix-in
    # @see Weaver::Core::Mixin
    #
    # Author:: Ed Snible
    # Copyright:: IBM
    class MixinStatement < AbstractStatement

      # * +id+ Symbol representing the mix-in, or a Core::Mixin which is the mix-in
      # * +parent_statement+ The enclosing AbstractStatement
      def initialize(id, parent_statement)
        @@logger.debug "mixin[id: #{id}]"
        super(id, :mixin, parent_statement)
      end
      
      # A Core::Mixin can have a block of Ruby code that provides additional special initialization
      def included(&block)
        model.mixer = block
      end

  	end
  end

end
