require 'weaver/core/base.rb'
require 'weaver/plugins/deployers/rc2_deployer'
require 'weaver/providers/provider_impl'

module Weaver
  module Providers
    
    # The implementation for the provider that bridges between the model and the deployer
    # @see Weaver::Core::Provider
    # @see Weaver::Deployers::Deployer
    #
    # Author:: Ed Snible
    # Copyright:: IBM
    class Rc2 < Weaver::Providers::ProviderImpl
      
      def initialize(provider)
        super(provider)
      end
      
      def deployer(properties = {}, &reporter)
        return Weaver::Plugins::Deployers::Rc2Deployer.new(properties, &reporter)
      end
      
    end
  end
end