require 'logger'
require 'zk'
require 'weaver/coordination/logging'
require 'weaver/coordination/coordinated_transaction_manager'
require 'weaver/coordination/coordinated_transaction'
require 'weaver/coordination/coordination_error'
require 'weaver/coordination/coordination_mixin'
require 'weaver/coordination/vm_late_binding'
require 'weaver/coordination/system'
require 'weaver/coordination/zk_mock'
require 'weaver/coordination/zk_shared_memory'

module Weaver
  module Coordination
    
    VM_STATUS_STR = "vm_status"
    CONFIG_STATUS_STR = "config_status"
    
    module CONFIG_STATUS
      CONFIGURING = 'configuring'
      CONFIGURED = 'configured'
      FAILED = 'failed'
      DELETING = 'deleting'
      DELETED = 'deleted'
      DELETE_FAILED = 'delete_failed'
      UNKNOWN = 'unknown'
    end

    module VM_STATUS
      STARTING = 'starting'
      RUNNING = 'running' 
      STOPPING = 'stopping'
      STOPPED = 'stopped'
      FAILED = 'failed' 
      UNKNOWN = 'unknown'
    end
  end
end